
<form name="editForm" role="form" novalidate ng-submit="vm.save()" show-validation>

    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                ng-click="vm.clear()">&times;</button>
        <h4 class="modal-title" id="myDosageLabel" data-translate="probioticApp.dosage.home.createOrEditLabel">Create or edit a Dosage</h4>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" ng-show="vm.dosage.id">
            <label for="id" data-translate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                    ng-model="vm.dosage.id" readonly />
        </div>
      <!--  <div class="form-group">
            <label class="control-label" data-translate="probioticApp.dosage.timestamp" for="field_timestamp">Timestamp</label>
                <div class="input-group">
                    <input id="field_timestamp" type="text" class="form-control" name="timestamp" datetime-picker="{{dateformat}}" ng-model="vm.dosage.timestamp" is-open="vm.datePickerOpenStatus.timestamp"
                    required/>
                    <span class="input-group-btn">
                        <button type="button" class="btn btn-default" ng-click="vm.openCalendar('timestamp')"><i class="glyphicon glyphicon-calendar"></i></button>
                    </span>
                </div>
            <div ng-show="editForm.timestamp.$invalid">
                <p class="help-block"
                    ng-show="editForm.timestamp.$error.required" data-translate="entity.validation.required">
                    This field is required.
                </p>
                <p class="help-block"
                    ng-show="editForm.timestamp.$error.ZonedDateTimelocal" data-translate="entity.validation.ZonedDateTimelocal">
                    This field should be a date and time.
                </p>
            </div>
        </div>-->
        <div class="form-group">
            <label class="control-label" data-translate="probioticApp.dosage.age" for="field_age">Age</label>
            <select class="form-control" name="age" ng-model="vm.dosage.age" id="field_age" required>
                <option value="Adulto" data-translate="probioticApp.Age.Adulto">Adulto</option>
                <option value="Pediatrico" data-translate="probioticApp.Age.Pediatrico">Pediatrico</option>
            </select>
            <div ng-show="editForm.age.$invalid">
                <p class="help-block"
                    ng-show="editForm.age.$error.required" data-translate="entity.validation.required">
                    This field is required.
                </p>
            </div>
        </div>
        <div class="form-group">
            <label class="control-label" data-translate="probioticApp.dosage.cfu" for="field_cfu">Cfu</label>
            <input type="text" class="form-control" name="cfu" id="field_cfu"
                    ng-model="vm.dosage.cfu"
                    required/>
            <div ng-show="editForm.cfu.$invalid">
                <p class="help-block"
                    ng-show="editForm.cfu.$error.required" data-translate="entity.validation.required">
                    This field is required.
                </p>
            </div>
        </div>
        <div class="form-group">
            <label class="control-label" data-translate="probioticApp.dosage.intake" for="field_intake">Intake</label>
            <input type="text" class="form-control" name="intake" id="field_intake"
                    ng-model="vm.dosage.intake"
                    required/>
            <div ng-show="editForm.intake.$invalid">
                <p class="help-block"
                    ng-show="editForm.intake.$error.required" data-translate="entity.validation.required">
                    This field is required.
                </p>
            </div>
        </div>
        <div class="form-group">
            <label class="control-label" data-translate="probioticApp.dosage.frequency" for="field_frequency">Frecuency</label>
            <input type="text" class="form-control" name="frequency" id="field_frequency"
                    ng-model="vm.dosage.frequency"
                    required/>
            <div ng-show="editForm.frequency.$invalid">
                <p class="help-block"
                    ng-show="editForm.frequency.$error.required" data-translate="entity.validation.required">
                    This field is required.
                </p>
            </div>
        </div>
        <div class="form-group">
            <label class="control-label" data-translate="probioticApp.dosage.indication" for="field_indication">Indication</label>
            <input type="text" class="form-control" name="indication" id="field_indication"
                    ng-model="vm.dosage.indication"/>
           <!-- <div ng-show="editForm.indication.$invalid">
                <p class="help-block"
                    ng-show="editForm.indication.$error.required" data-translate="entity.validation.required">
                    This field is required.
                </p>
            </div>-->
        </div>

        <div class="form-group">
            <label data-translate="probioticApp.dosage.probiotic" for="field_probiotic">Probiotic</label>
            <select class="form-control" id="field_probiotic" name="probiotic" ng-model="vm.dosage.probioticId" ng-options="probiotic.id as probiotic.name for probiotic in vm.probiotics"             required>
            </select>
        </div>
        <div ng-show="editForm.probiotic.$invalid">
            <p class="help-block"
                ng-show="editForm.probiotic.$error.required" data-translate="entity.validation.required">
                This field is required.
            </p>
        </div>
        <div class="form-group">
            <label data-translate="probioticApp.dosage.doseform" for="field_doseform">Doseform</label>
            <select class="form-control" id="field_doseform" name="doseform" ng-model="vm.dosage.doseformId" ng-options="doseform.id as doseform.name for doseform in vm.doseforms"             required>
            </select>
        </div>
        <div ng-show="editForm.doseform.$invalid">
            <p class="help-block"
                ng-show="editForm.doseform.$error.required" data-translate="entity.validation.required">
                This field is required.
            </p>
        </div>
       <!-- <div class="form-group">
            <label data-translate="probioticApp.dosage.modifiedby" for="field_modifiedby">Modifiedby</label>
            <select class="form-control" id="field_modifiedby" name="modifiedby" ng-model="vm.dosage.modifiedbyId" ng-options="user.id as user.login for user in vm.users"             required>
            </select>
        </div>
        <div ng-show="editForm.modifiedby.$invalid">
            <p class="help-block"
                ng-show="editForm.modifiedby.$error.required" data-translate="entity.validation.required">
                This field is required.
            </p>
        </div>-->
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" ng-click="vm.clear()">
            <span class="glyphicon glyphicon-ban-circle"></span>&nbsp;<span data-translate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" ng-disabled="editForm.$invalid || vm.isSaving" class="btn btn-primary">
            <span class="glyphicon glyphicon-save"></span>&nbsp;<span data-translate="entity.action.save">Save</span>
        </button>
    </div>
</form>
